@font-face {
  font-family: "Gilroy";
  src: local(Gilroy), url("../fonts/Gilroy-Regular.ttf"), "../fonts/Gilroy-Medium.ttf", "../fonts/Gilroy-Semibold.ttf" format("opentype");
  font-weight: normal;
}

@font-face {
  font-family: "BIZ UDGothic";
  src: local(BIZ UDGothic) url("../../fonts/BIZUDGothic-Regular.ttf"), format("opentype");
  font-weight: normal;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: #121212;
}

img {
  width: 100%;
  display: block;
}

.grid-section {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: auto;
}

.grid-section h3 {
  font-family: "Gilroy";
  font-size: 3.125rem;
  font-weight: 600;
  line-height: 1.2;
}

.grid-left {
  z-index: 1;
  border-bottom: 1px solid #121212;
}

.grid-title {
  height: max-content;
  padding: 4.166666666666667vw;
  position: sticky;
  top: 5rem;
}

.grid-aside {
  padding: 5.56vw;
  border-left: 1px solid #121212;
  border-bottom: 1px solid #121212;
  position: relative;
}

.grid-aside span {
  text-transform: uppercase;
  margin-bottom: 1.5rem;
  display: block;
  font-family: "Gilroy";
  font-size: 0.875rem;
  line-height: 1.2;
  font-weight: 400;
}

.grid-aside h4 {
  font-family: "Gilroy";
  font-size: 2.375rem;
  font-weight: 500;
  line-height: 1.2;
  margin-bottom: 1rem;
}

.grid-aside p {
  color: rgba(18, 18, 18, 0.9);
  max-width: 610px;
  margin-bottom: 4rem;
  font-family: "Gilroy";
  font-size: 1.125rem;
  line-height: 1.2;
  font-weight: 500;
}

.grid-aside a {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 16px 24px 14px 24px;
  display: block;
  border: 1px solid #121212;
  max-width: 175px;
  letter-spacing: 0.48px;
  text-transform: uppercase;
  font-family: "Gilroy";
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.2;
}

.grid-aside a:hover {
  color: #fff;
  background: #121212;
  transition: 0.3s;
}

.border-b {
  border-bottom: 1px solid #121212;
}

.border-t {
  border-top: 1px solid #121212;
}

.border-r {
  border-right: 1px solid #121212;
}

.border-l {
  border-left: 1px solid #121212;
}

#home .form {
  display: flex;
  align-items: flex-start;
  gap: 16px;
  max-height: 3.5rem;
}

#home form input[type="text"],
#home form input[type="email"] {
  padding: 1rem;
  font-family: "Gilroy";
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.2;
  color: #808080;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 12px;
  align-self: stretch;
  flex: 2 0 0;
}

#home form input[type="submit"] {
  padding: 1rem 1.5rem 0.875rem 1.5rem;
  background: #121212;
  color: #fff;
  flex: 1 0 0;
  border: 3px solid #121212;
  font-family: "Gilroy";
  font-size: 0.875rem;
  text-transform: uppercase;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.48px;
  cursor: pointer;
  transition: 0.3s;
}

#header {
  position: sticky;
  z-index: 999;
  top: 0;
  left: 0;
  right: 0;
  bottom: auto;
}

#nav ul {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

#nav :is(.nav-link-right, .nav-link-left) {
  display: flex;
  align-items: center;
  justify-content: center;
  background: #000;
}

#nav li {
  padding: 1.6666666666666667vw 1.25vw;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;
  transition: 0.3s;
  position: relative;
  z-index: 2;
}

#nav li::before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: -1;
  height: 0;
  transition: 0.3s;
  top: 0;
}

#nav li:hover::before {
  background: rgba(18, 18, 18, 0.9);
  height: 100%;
}

#nav a {
  width: 100%;
  height: 100%;
  text-align: center;
  font-family: "Gilroy";
  font-size: 1rem;
  line-height: 1.2;
  font-weight: 500;
  letter-spacing: 0.4px;
}

#nav li:hover a {
  color: #fff;
}

#nav .white-space {
  width: 100%;
  background: #fff;
}

#intro .grid-left {
  height: 100vh;
}

#intro .item1 {
  display: flex;
  flex-direction: column;
}

#intro h1 {
  font-family: "Gilroy";
  font-size: 4.1875rem;
  font-weight: 600;
  line-height: 1.2;
  max-width: 13ch;
  margin-bottom: 1rem;
}

.grid-left p {
  max-width: 50ch;
  padding-bottom: 54px;
  color: rgba(18, 18, 18, 0.9);
  font-family: "Gilroy";
  font-size: 1.125rem;
  line-height: 1.2;
  font-weight: 500;
  line-height: 1.4;
}

.grid-left p span {
  font-style: italic;
}

.grid-left .item2 {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1px;
  padding-top: 1.5rem;
}

.grid-left .item2 img {
  filter: grayscale(100%);
  padding-right: 1.5rem;
  max-width: 400px;
  max-height: 266px;
  object-fit: cover;
}

.grid-left .item2 span {
  font-family: "Gilroy";
  font-weight: 400;
  font-family: "Gilroy";
  font-size: 0.875rem;
  line-height: 1.2;
  font-weight: 400;
  padding-left: 1.5rem;
  max-width: 31ch;
  line-height: 1.2;
  color: rgba(18, 18, 18, 0.9);
  align-self: flex-end;
}

.aside-items {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.aside-text {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 1.2766vw;
  position: relative;
  text-align: center;
}

.aside-text h2 {
  font-family: "Gilroy";
  font-size: 2.375rem;
  font-weight: 500;
  line-height: 1.2;
}

.aside-text a {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.20833333333333334vw;
  position: absolute;
  bottom: 1.2766vw;
  width: max-content;
  height: max-content;
  font-family: "Gilroy";
  font-size: 1rem;
  line-height: 1.2;
  font-weight: 500;
  letter-spacing: 0.4px;
  font-weight: 600;
  transition: 0.3s;
}

.aside-text a img {
  height: 24px;
  width: 24px;
  overflow: hidden;
}

.aside-items:hover a {
  gap: 12px;
}

.choose-aside {
  padding: 0;
}

.choose-aside-items {
  border-bottom: 1px solid #121212;
  padding: 5.56vw;
}

.choose-aside-items p {
  margin: 0;
}

#choose .grid-aside {
  border-bottom: none;
}

#contact .grid-left {
  border-top: none;
  height: 100vh;
}

#contact .grid-title {
  position: unset;
  height: 45vh;
}

#contact .grid-title h3 {
  margin-bottom: 1.5rem;
}

#contact .grid-title p {
  margin-bottom: 1rem;
  font-family: "Gilroy";
  font-size: 1.125rem;
  line-height: 1.2;
  font-weight: 500;
  border: none;
  padding: 0;
}

#contact .form {
  display: flex;
  align-items: flex-start;
  gap: 16px;
  max-height: 3.5rem;
}

#contact form input[type="text"] {
  padding: 1rem;
  font-family: "Gilroy";
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.2;
  color: #808080;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 12px;
  align-self: stretch;
  flex: 2 0 0;
}

#contact form input[type="submit"] {
  padding: 1rem 1.5rem 0.875rem 1.5rem;
  background: #121212;
  color: #fff;
  flex: 1 0 0;
  border: 3px solid #121212;
  font-family: "Gilroy";
  font-size: 0.875rem;
  text-transform: uppercase;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.48px;
  cursor: pointer;
  transition: 0.3s;
}

#contact form input[type="submit"]:hover {
  background: #fff;
  color: #121212;
}

.contact-info {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  width: 100%;
  height: 55vh;
}

.contact-info h4 {
  font-family: "Gilroy";
  font-size: 2.375rem;
  font-weight: 500;
  line-height: 1.2;
  text-align: center;
  padding: 1rem 0.625rem;
  border-bottom: 1px solid #121212;
  max-height: 10vh;
}

.info-details {
  display: flex;
  flex-direction: column;
  padding: 1.5rem;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
  font-family: "Gilroy";
  font-size: 1.3125rem;
  font-weight: 500;
  line-height: 1.2;
  color: #121212;
  height: 100%;
  max-height: 45vh;
}

.info-details li {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.info-details li span {
  font-family: "Gilroy";
  font-size: 1.125rem;
  line-height: 1.2;
  font-weight: 500;
  text-transform: uppercase;
}

.info-details li img {
  width: 24px;
  height: 24px;
}

#contact .grid-right {
  height: 100vh;
  position: relative;
}

.grid-right .store-img img {
  object-fit: cover;
  height: 100vh;
}

.store-info {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  position: absolute;
  bottom: 0;
  width: 100%;
  z-index: 999;
  background: #fff;
}

.store-info h4 {
  padding: 1rem 0.625rem;
  font-family: "Gilroy";
  font-size: 2.375rem;
  font-weight: 500;
  line-height: 1.2;
  text-align: center;
}

.social-icons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  padding: 0.625rem 2.5rem;
}

.social-icons li:hover {
  scale: 1.4;
  transition: 0.3s;
}

.social-icons img {
  height: 24px;
  width: 24px;
}

.js [data-time]::before {
  display: inline-block;
  content: "";
  width: 12px;
  height: 12px;
  background: #e54;
  border-radius: 50%;
  margin-left: 0.5rem;
  border: 2px solid #000;
}

.js [data-time].open::before {
  background: #3f4;
}

#services h2 {
  padding: 5.56vw;
  text-align: center;
  font-family: "Gilroy";
  font-size: 3.125rem;
  font-weight: 600;
  line-height: 1.2;
}

#services img {
  height: 80vh;
  object-fit: cover;
}

.services-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 5rem;
}

#services span {
  font-family: "Gilroy";
  font-size: 0.875rem;
  line-height: 1.2;
  font-weight: 400;
  text-transform: uppercase;
  margin-bottom: 1.5rem;
  display: block;
}

#services h3 {
  font-family: "Gilroy";
  font-size: 3.125rem;
  font-weight: 600;
  line-height: 1.2;
  margin-bottom: 1rem;
}

#services p {
  font-family: "Gilroy";
  font-size: 1.125rem;
  line-height: 1.2;
  font-weight: 500;
  text-align: center;
  max-width: 50ch;
  margin-bottom: 4rem;
}

#services a {
  font-family: "Gilroy";
  font-size: 0.875rem;
  text-transform: uppercase;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.48px;
  cursor: pointer;
  border: 1px solid #121212;
  padding: 1rem 1.5rem 0.875rem 1.5rem;
  transition: 0.3s;
}

#services a:hover {
  background: #121212;
  color: #fff;
}

#services .services-events {
  height: 50vh;
  background: linear-gradient(0deg, rgba(18, 18, 18, 0.4) 0%, rgba(18, 18, 18, 0.4) 100%), url(../img/photos/weeding-img.jpg), lightgray 0px -83.041px/100% 130.833% no-repeat;
  background-size: auto, cover;
  background-position: 0 0, 50%;
  background-attachment: scroll, fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: #fff;
  padding: 5rem;
}

#services .events p {
  max-width: 55ch;
}

#services .services-events a {
  color: #fff;
  border: 1px solid #fff;
}

#reviews {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 5rem;
}

#reviews .review-span {
  font-family: "Gilroy";
  font-size: 0.875rem;
  line-height: 1.2;
  font-weight: 400;
  text-transform: uppercase;
  margin-bottom: 1.5rem;
  display: block;
  position: relative;
}

#reviews .review-span::before {
  content: "";
  top: -36px;
  height: 28px;
  right: 50%;
  transform: translate(50%, -50%);
  width: 77px;
  background-image: url("../img/icons/google-logo.png");
  position: absolute;
}

#reviews h3 {
  font-family: "Gilroy";
  font-size: 3.125rem;
  font-weight: 600;
  line-height: 1.2;
  margin-bottom: 1rem;
}

.testimonial {
  position: relative;
  width: 100%;
  margin-bottom: 4rem;
}

#reviews .testimonial p {
  font-family: "Gilroy";
  font-size: 1.125rem;
  line-height: 1.2;
  font-weight: 500;
  font-size: 2rem;
  text-align: center;
  max-width: 66ch;
  margin-bottom: 1rem;
  font-style: italic;
  display: flex;
}

#reviews .testimonial p sup {
  font-family: "BIZ UDGothic";
  font-size: 4rem;
}

#reviews .testimonial span {
  font-family: "Gilroy";
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.2;
  margin-bottom: 2rem;
  display: block;
}

#reviews .slide {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-bottom: 2rem;
  position: relative;
}

#reviews a {
  font-family: "Gilroy";
  font-size: 0.875rem;
  text-transform: uppercase;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.48px;
  cursor: pointer;
  border: 1px solid #121212;
  padding: 1rem 1.5rem 0.875rem 1.5rem;
  transition: 0.3s;
}

#reviews a:hover {
  background: #121212;
  color: #fff;
}

.swiper-btn {
  display: flex;
  justify-content: center;
}

.nav-swiper {
  top: 20% !important;
}

.nav-swiper::after,
.nav-swiper::before {
  color: #121212;
  font-size: 32px !important;
}

.swiper-pagination-bullet {
  background: #d2d2d7 !important;
}

.swiper-pagination-bullet-active {
  background: #808080 !important;
}

#footer {
  display: grid;
  grid-template-columns: repeat(autofit minmax(25%, 1fr));
  grid-template-columns: repeat(4, 1fr);
}

.footer-item {
  padding: 2.5rem;
  min-height: 429px;
  max-height: 450px;
  flex: 1 0 0;
}

#footer .footer-item p {
  font-family: "Gilroy";
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.2;
  max-width: 35ch;
  margin-bottom: 1.5rem;
}

#footer .form {
  flex-direction: column;
}

#footer form input[type="text"],
#footer form input[type="email"] {
  padding: 1rem;
  font-family: "Gilroy";
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.2;
  color: #808080;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 12px;
  align-self: stretch;
  flex: 2 0 0;
}

#footer form input[type="submit"] {
  padding: 1rem 1.5rem 0.875rem 1.5rem;
  background: #121212;
  color: #fff;
  flex: 1 0 0;
  border: 3px solid #121212;
  font-family: "Gilroy";
  font-size: 0.875rem;
  text-transform: uppercase;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.48px;
  cursor: pointer;
  transition: 0.3s;
  width: 100%;
}

#footer form input[type="submit"]:hover {
  background: #808080;
  color: #fff;
  border-color: #808080;
}

#footer h2 {
  font-family: "Gilroy";
  font-size: 1.3125rem;
  font-weight: 500;
  line-height: 1.2;
  color: #808080;
  margin-bottom: 1.5rem;
}

#footer h3 {
  font-family: "Gilroy";
  font-size: 0.875rem;
  line-height: 1.2;
  font-weight: 400;
  color: #808080;
  margin-bottom: 0.5rem;
}

#footer a {
  font-family: "Gilroy";
  font-size: 1rem;
  line-height: 1.2;
  font-weight: 500;
  letter-spacing: 0.4px;
  width: max-content;
}

#footer .contact a {
  display: block;
  margin-bottom: 1.5rem !important;
}

#footer .social-icons {
  flex-direction: row !important;
  gap: 2rem !important;
  justify-content: flex-start;
  padding: 0;
}

#footer ul {
  display: flex;
  flex-direction: column;
  margin-bottom: 1.5rem;
  gap: 0.5rem;
}

#footer .shop ul li:last-child {
  margin-bottom: 0;
}

@media (max-width: 768px) {
  .grid-section {
    grid-template-columns: 1fr;
    grid-template-rows: auto auto;
  }
  .grid-title {
    position: unset;
  }
  .nav-swiper {
    display: none !important;
  }
}
